It happens enough here that I have created a batch file. I'm thinking about adding it to my start NX batch file but not sure what kinds of other problems that would create.
echo off
REG QUERY "HKCU\Software\Unigraphics solutions\NX\7.5" /f "General" | find "General" >nul
if %errorlevel% equ 0...
If you made your post using postbuilder then edit the post from machine tool tab click on the fourth (or fifth) axis and then in the axis limits change the maximum to the limit of your machine.
I agree with Ronald. I change the settings in all my applications so the backgrounds are like a pale tan. With the normal white background it feels like my eyes are burning, same thing happens if I try to read off of pure white paper in midday sun.
In the NX7.5 documentation... Design... Drafting... Drafting user interface... Use control characters and blockfont characters to generate symbols... Use control characters to format text.
Part Attribute
<W&@attr_title>
"W" indicates a reference to a part attribute. "&" is an optional control...
Put the following line after each line where you changed the part number and change the text4 number to match.
MsgBox(" text4(0) =" & text4(0))
This will put up a message on your screen displaying what it is trying to change the text to. Make sure it matches what you would have entered.
In place of
•text8(0) = "<X0.3@""currentFile""::Sheet_Metal_Bend_Radius>"
Put
•text8(0) = "<X0.3@""" & currentFile & """::Sheet_Metal_Bend_Radius>"
and in the example you sent me there was an underscore before the rev so change
currentFile = currentFile & "/" & strRevision
to...
The name I spoke of is more of an object id than a name. Every entity in NX has an object id. If you select from the main menu information... object and select a note or any entity for that matter at the bottom of the information window you will see Note - ID and a set of numbers. If you use the...
When you say "it fails to modify the desired text" does the journal run or does it error complaining about line 24 or some other line #?
I'm guessing it errors (unless the files were created from the same part file) or picks the wrong note because the journal you recorded is just looking for an...
Is expression name declared as a string? Have you tried outputing your expression_name to the listing window?
Add the following prior to your For Each.
Dim lw As ListingWindow = session.GetSession.ListingWindow
lw.Open()
add this after the expression_name = exp.Description line...
The following will return the file names of all the components. Will this get what you need?
Imports System
Imports NXOpen
Imports NXOpen.Assemblies
Imports NXOpen.UF
Module list_file_name_of_each_component
Sub Main()
Dim lw As ListingWindow = session.GetSession.ListingWindow
lw.Open()...